DefinitionCriteriaByClassImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class DefinitionCriteriaByClassImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.DefinitionCriteriaImpl
  - - tv.amwa.maj.union.impl.DefinitionCriteriaByClassImpl

- All Implemented Interfaces:
    Serializable, Cloneable, DefinitionCriteria, DefinitionCriteriaByClass

      public class DefinitionCriteriaByClassImpl
      extends DefinitionCriteriaImpl
      implements DefinitionCriteriaByClass, Serializable, Cloneable

  Implementation of a criteria for matching a definition determined by reference to the unique identifier of a class definition.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefinitionCriteriaByClassImpl(AUID classId)` Create a criteria for matching a definition from the unique identification of a class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DefinitionCriteriaByClassImpl` | `clone()`
    `boolean` | `equals(Object o)`
    `AUIDImpl` | `getClassId()` Returns the class identifier defining this definition criteria.
    `int` | `hashCode()`
    `void` | `setClassId(AUID classId)` Sets the class identifier defining this definition criteria.
    `String` | `toString()` Creates a pseudo-XML representation of this definition criteria.

    - ### Methods inherited from class tv.amwa.maj.union.impl.DefinitionCriteriaImpl

      `getDefinitionType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.union.DefinitionCriteria

      `getDefinitionType`

- - ### Constructor Detail

    - #### DefinitionCriteriaByClassImpl

          public DefinitionCriteriaByClassImpl(AUID classId)
                                        throws NullPointerException

      Create a criteria for matching a definition from the unique identification of a class.

      Parameters:
        `classId` - Unique identifier of a class providing this definition criteria.
      Throws:
        `NullPointerException` - The given class identifier is `null`.

  - ### Method Detail

    - #### getClassId

          public AUIDImpl getClassId()

      Description copied from interface: `DefinitionCriteriaByClass`

      Returns the class identifier defining this definition criteria.

      Specified by:
        `getClassId` in interface `DefinitionCriteriaByClass`
      Returns:
        Class identifier defining this definition criteria.

    - #### setClassId

          public void setClassId(AUID classId)
                          throws NullPointerException

      Description copied from interface: `DefinitionCriteriaByClass`

      Sets the class identifier defining this definition criteria.

      Specified by:
        `setClassId` in interface `DefinitionCriteriaByClass`
      Parameters:
        `classId` - Class identifier defining this definition criteria.
      Throws:
        `NullPointerException` - The class identifier value is `null`.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Creates a pseudo-XML representation of this definition criteria. No XML schema or DTD is defined. For example:

           <DefinitionCriteria classId="urn:x-ul:060e2b34.0206.0101.0d010101.0101.1f00"/>

      Overrides:
        `toString` in class `Object`

    - #### clone

          public DefinitionCriteriaByClassImpl clone()
                                              throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.